Bug 1729004 - make clearing NEEDINFO on specific person easier
Summary: make clearing NEEDINFO on specific person easier
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 5.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified vote
Target Milestone: 5.0-RH8
Assignee: Jeff Fearn 🐞
QA Contact: Lianghui Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 07:52 UTC by Zdenek Dohnal
Modified: 2019-11-11 00:18 UTC (History)
4 users (show)

Fixed In Version: 5.0.4-rh33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-11 00:18:12 UTC


Attachments (Terms of Use)

Description Zdenek Dohnal 2019-07-11 07:52:07 UTC
Hi,

it happens many times that a person clears all needinfos on the bugzilla where more than one NEEDINFO is set (f.e. on bug where a devel requests acks needed for fixing the bug) instead of clearing only one, which is set on him or when he provides info instead of requested person.
I'm aware it can be done by clearing the field in upper part of bug, but it is often overlooked (especially when there are many comments).

Would it be possible that there will be a box under comment box, where user can choose whether he clears NEEDINFO set on him, on other person or all NEEDINFOs?

It can looks like:

'I'm clearing the needinfo ' - now choice box with values of names on whose needinfos are set and 'all'.

Thank you in advance for considering the enhancement.

Comment 1 Jeff Fearn 🐞 2019-07-17 23:43:36 UTC
I'm going to take a different approach to solving this. I think it's most usual that person will either be providing their own or all, the third less likely use case can edit the flags directly. IMO The drop down will be annoying in most cases where you just want to select either yourself or all.

I'll add another check box:

I am providing the information requested of me (Will clear your needinfo request).

Or I might think up better text before I implement it :)

Comment 2 Zdenek Dohnal 2019-07-18 05:55:47 UTC
(In reply to Jeff Fearn 🐞 from comment #1)
> I'm going to take a different approach to solving this. I think it's most
> usual that person will either be providing their own or all, the third less
> likely use case can edit the flags directly. 

Yes, you're right, it is not so common use case with third person clearing NEEDINFO set on you. I imagined the use case e.g. when you are on PTO and someone sets urgent NEEDINFO on you and you have a colleague who's your backup. So he will answer and want to erase NEEDINFO on you. But there are more cons to it, I suppose... so the current way of things is acceptable to this use case

> IMO The drop down will be
> annoying in most cases where you just want to select either yourself or all.
> 
> I'll add another check box:
> 
> I am providing the information requested of me (Will clear your needinfo
> request).

Sounds good! Thank you!

> 
> Or I might think up better text before I implement it :)

Comment 3 Lianghui Yu 2019-09-18 03:19:45 UTC
Verified on latest QE environment,
Cleaning all flag or "clean flag for myself" is working as expected
Result: PASS

Comment 5 Jeff Fearn 🐞 2019-11-11 00:18:12 UTC
This change is now live. If there are any issues, do not reopen this
bug. Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.